---
name: warehouses-routes
description: Handle 6 OpenAPI operation(s) under /v1/warehouses for the warehouses route group.
---

# warehouses API Routes

Handle 6 OpenAPI operation(s) under /v1/warehouses for the warehouses route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### list_warehouses

- Operation ID: `list_warehouses`
- Route: `GET /v1/warehouses`
- Mode: READ
- Summary: List Warehouses

### create_warehouse

- Operation ID: `create_warehouse`
- Route: `POST /v1/warehouses`
- Mode: WRITE
- Summary: Create Warehouse
- Body: JSON request body accepted.

### get_warehouse_by_id

- Operation ID: `get_warehouse_by_id`
- Route: `GET /v1/warehouses/{warehouse_id}`
- Mode: READ
- Summary: Get Warehouse By Id
- Parameters:
  - `warehouse_id` in `path` required

### update_warehouse

- Operation ID: `update_warehouse`
- Route: `PUT /v1/warehouses/{warehouse_id}`
- Mode: WRITE
- Summary: Update Warehouse By Id
- Parameters:
  - `warehouse_id` in `path` required
- Body: JSON request body accepted.

### delete_warehouse

- Operation ID: `delete_warehouse`
- Route: `DELETE /v1/warehouses/{warehouse_id}`
- Mode: WRITE
- Summary: Delete Warehouse By ID
- Parameters:
  - `warehouse_id` in `path` required

### update_warehouse_settings

- Operation ID: `update_warehouse_settings`
- Route: `PUT /v1/warehouses/{warehouse_id}/settings`
- Mode: WRITE
- Summary: Update Warehouse Settings
- Parameters:
  - `warehouse_id` in `path` required
- Body: JSON request body accepted.
